Rally

Agile Central TLS 1.0 and 1.1 Deprecation Notice 

04-23-2018 02:34 PM

The deprecation of TLS 1.0 and 1.1 scheduled for today has now been updated to July 16, 2018 10:00am Mountain.

 

We have had a few customers experiencing issues with the connector for HP ALM (Quality Center) v4.8.0, so we recommend all customers contact support to get the latest version v4.8.3.  Customers using the other work item connectors (v4.8.0), version control connectors (v1.6.0) or the Add-in for Excel (v2.4.4) can and should continue updating and testing connections.

Summary

As of July 16, 2018, CA Agile Central will no longer support connections using Transport Layer Security (TLS) versions 1.0 and 1.1.

 

CA Technologies takes the security of your data very seriously.   In order to comply with industry standards, best practices, and our commitment to providing the best possible experience, on July 16, 2018 we will be deprecating the ability to access CA Agile Central using a browser or integration that does not have TLS 1.2 enabled.

How to Test

To test your browsers and integrations that may be affected by this change, we have provided a production URL that only allows TLS 1.2 connections.

 

This URL is:

 

Please test to ensure that your connections are successful using this endpoint prior to July 16, 2018. If your integrations are affected and are not on the affected list below, please contact Support at https://support.ca.com or by calling 1-800-225-5224.  

 

For any integrations that are not supported by or provided by CA Technologies, please test and work with the author/vendor to ensure that it works with TLS 1.2. We will also be working with our partners to ensure they are aware of this change to comply with industry standards.

How Will This Impact You?  

Integrations

We have learned that several integrations running on Windows operating systems are affected and are conducting testing to determine resolution steps for each affected integration. This change also affects integrations running against Agile Central On-Premises 2018.1.

 

Currently, we are aware of the below supported integrations that are affected and require updates to the below, listed versions:

 

Connector Name

Updated Version

Date Available

Link to Download

Important Notes

Agile Central Add-in for Excel

2.4.4

May-2018

link

.NET Framework 4.5 or higher is required for this version of the Add-in for Excel to support TLS 1.2. **

Agile Central WIC Connector to HP-ALM (Quality Center)

4.8.3

July 12, 2018

Please open a support case - see link

**Note: The HPQC 4.8.3 connector requires Ruby 2.2.6**

Agile Central TFS 2017 WIC Connector for Linux and Windows v4.8.0

4.8.0

May 18, 2018

link

**Note: The TFS WIC 4.8.0 connector requires Ruby 2.2.6**

Agile Central Jira WIC Connector for Linux and Windows v4.8.0

4.8.0

May 18, 2018

link

**Note: The JIRA WIC 4.8.0 connector requires Ruby 2.2.6**

Agile Central Connector for Microsoft TFS for Version Control

1.6.0

May 25, 2018

link

**Note: The TFS VCS 1.6.0 connector requires Ruby 2.2.6**

Subversion to Agile Central Connector

1.6.0

May 25, 2018

link

**Note: The SVN VCS 1.6.0 connector requires Ruby 2.2.6**

Agile Central Connector for Git

1.6.0

May 25, 2018

link

**Note: The Git VCS 1.6.0 connector requires Ruby 2.2.6**

Agile Central Connector for Mercurial

1,6.0

May 25, 2018

link

**Note: The Mercurial VCS 1.6.0 connector requires Ruby 2.2.6**

.NET Toolkit for CA Agile Central REST API

3.1.1 and above

April 19, 2018

link

 

 

 

In order to continue using these connectors, you will need to install the latest version of the connector plus Ruby 2.2.6. We will post the latest version of these connectors with installation instructions as they are ready, but please keep in mind that the previous versions of the connectors will no longer be able to access Agile Central once we deprecate TLS 1.0 and 1.1.

Browsers

Those customers in compliance with our browser support policy should not be affected by this change.  However, we know that things don’t always go as planned, and we want to make you aware of the impacts of the change.  As of July 16, 2018, you will no longer be able to access CA Agile Central from the following browsers:

 

  • Firefox version 26 and earlier versions
  • Internet Explorer 8-10 on Windows 7 and earlier versions
  • Safari 6.0.4/OS X10.8.4 and earlier versions

Which browsers support TLS 1.2?

  • Chrome - v30 and higher
  • Firefox - v27 and higher
  • Internet Explorer - v11 and higher
  • Opera - v17 and higher
  • Safari - v7 and higher

 

Other Applications or Integrations

For any integrations that are not supported by or provided by CA Technologies, please test and work with the author/vendor to ensure that it works with TLS 1.2. We will also be working with our partners to ensure they are aware of this change to comply with industry standards. This may include custom applications that were created in-house.

 

Please see TLS 1.0 and 1.1 Deprecation and Custom Integrations for suggested steps to take to ensure your custom integrations continue to work. 

Statistics
0 Favorited
1 Views
0 Files
0 Shares
0 Downloads

Tags and Keywords

Comments

08-20-2018 10:40 AM

Hi Krishna, 

 

Please take a look at this article which seemingly addresses the above error:

HP ALM Error Missing Required Field - CA Knowledge 

 

If that doesn't resolve the problem, it would probably be best to assist with this issue via a new support case. Please submit a new case at https://support.ca.com, and please include the version of the connector you're using, any configuration files being leveraged, and the log file as well. Thanks!

08-20-2018 02:39 AM

Hi,

 

Could someone help me with this error. Defects are not flowing to rally even Rally object id and Defect id are created in log file.

 

DEBUG : RallyEIF::WRK::QCConnection.update_external_id_fields - set QC Defect id: 7794  external id field BG_USER_36 --> |247073994596|
DEBUG : RallyEIF::WRK::QCConnection.update_external_id_fields - set QC Defect id: 7794  external end user id field BG_USER_37 --> |DE8939|
ERROR : RallyEIF::WRK::QCConnection.rescue in update_external_id_fields - Could not update external id (or external end user id) field
ERROR : RallyEIF::WRK::QCConnection.initialize - Error updating defect-7794. QCAPI - HTTP-400 on request - http://10.132.170.53:8080/qcbin/rest/domains/CRM/projects/MAINTENANCE/defects/7794.
Response was: {"Id":"qccore.required-field-missing","Title":"Missing required field: user-11 for entity defect","ExceptionProperties":[{"Name":"field-name","StringValue":"user-11"},{"Name":"entity-name","StringValue":"defect"}],"StackTrace":null}.
 WARN : RallyEIF::WRK::Connector.initialize - Copy of ALM defect 7794 to Rally skipped due to inability to update the ALM external_id field (BG_USER_36)
WARN : RallyEIF::WRK::ConnectorRunner.exception - Message Copy of ALM defect 7794 to Rally skipped due to inability to update the ALM external_id field (BG_USER_36)

07-25-2018 06:14 PM

Hi,

 

We were using the endpoint  "https://rally1.rallydev.com/slm/webservice/v2.0" to connect to CA agile central to get the userstories/defect details. After the TLS 1.0 and 1.1 Deprecation, we are getting the error "The request was aborted : could not create SSL/TLS secure channel" while authorizing using Rally API key.

.Net Framework of the application is 4.5.2

 

As per the solutions provided, we have added the below changes in the OnStartup() method present in App.xaml.cs in our WPF application. Now we are getting the error "The remote server returned an error:(403) Forbidden.

Could you please help to fix this issue.

ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls11 | SecurityProtocolType.Tls12;

07-24-2018 11:04 AM

Arumugam,

 

You will need to be running Ruby 2.2.6 to be able to use TLS 1.2.  Please see this part of the post above:

 

 

Michael

07-24-2018 10:53 AM

Hi All

 

could someone help me with this exception...The Rally credentials are correct and are working fine through the web login.

 

 

 

[2018-07-24 14:14:50 Z]  INFO : RallyEIF::WRK::RallyConnection.connect - Connecting to Rally

[2018-07-24 14:14:50 Z] DEBUG : RallyEIF::WRK::RallyConnection.connect - In connect begin clause - connecting to Rally via rally_api

[2018-07-24 14:14:57 Z] DEBUG : RallyEIF::WRK::RallyConnection.rescue in connect - StandardError: RallyAPI: - rescued exception - SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: tlsv1 alert protocol version on request to https://rally1.rallydev.com/slm/webservice/v2.0/security/authorize with params {}

[2018-07-24 14:14:57 Z] ERROR : RallyEIF::WRK::RallyConnection.rescue in connect - Could not connect to Rally at <https://rally1.rallydev.com/slm using Username/Password> credentials

[2018-07-24 14:14:57 Z] ERROR : RallyEIF::WRK::RallyConnection.initialize - RallyAPI: - rescued exception - SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: tlsv1 alert protocol version on request to https://rally1.rallydev.com/slm/webservice/v2.0/security/authorize with params {}

[2018-07-24 14:14:57 Z]  INFO : RallyEIF::WRK::QCConnection.disconnect - Disconnected from Quality Center

 

 

07-24-2018 07:32 AM

On running the connector,getting few errors in the log  one below the other.Rally connection is successful, but not QC connection

 

1)field handler field name ts_linked_req not found
2)ALM connection validate failed
3)Invalid configuration

 

could someone help understand what this might mean? 

Thanks

07-23-2018 07:32 AM

Arumugam,

 

The file is part of one of the GEM files that is in those folders.  You won't be able to see it, it is located with the rallyeif-qc gem.

 

You should still be able to run it after following the installation instructions.

 

Michael

07-23-2018 07:18 AM

Hi

 

I am unable to find ca_agile_central2_hpalm_connector.rb file in the distribution archive  on extracting the zip file ( CAAgileCentralConnectorforHPALM-4.8.2-master-11),though the installation guide mentions that  as the result of unpacking of the distribution archive the following files and folders are created.I am unable to find only the connector executable file.

 

07-04-2018 07:22 AM

UNKNOWN,

 

Well, that is not helpful.  My apologies.  You may call +1-800-225-5224 or, if from outside North America, you may find the number here, Contact CA Support - CA Technologies to have a case opened for you and they may be able to assist straightening out your support.ca.com account as well.

 

I apologize again for the issues you are experiencing.

 

Michael

07-04-2018 07:11 AM

The problem is : I cannot find "Create New Case" tab even after I logged in.

07-04-2018 07:03 AM

UNKNOWN,

 

To obtain the Agile Central WIC Connector to HP-ALM (Quality Center) you will need to open a Support Case.  You may open a Support Case at https://support.ca.com or from within Agile Central by clicking on the 'Support' link at the bottom of any Agile Central page when logged in or, if using Personalized Navigation, by clicking on the question mark in the upper right corner and selecting 'Contact Support'.

 

More information is available here:

 

Product Announcement: Easy access to CA Support from Agile Central! 

 

I apologize it was not clear in the above table.


Michael

07-04-2018 06:47 AM

This is one of a web portal that is very unfriendly to the customers. I do not find where to download or upgrade

Agile Central WIC Connector to HP-ALM (Quality Center). The portal is not user friendly and lot of links redirected to the other one with no result. Annoying!!!

07-02-2018 06:01 PM

To see which integrations are in use in your subscription perform the following steps:


1. Log in as a subscription administrator

2. Click the Setup icon next to your profile avatar

3. Click Extensions

4. Click Integrations

 

(Note in our subscription we noticed that the list comes up blank until you sort by a different column)

 

This will show the integrations that have been used in the last 30 days.  You can use the "Last Used" column to determine if an integration still appears to be in use or not.

06-29-2018 02:40 PM

Date has been updated to July 16, 2018. 

06-27-2018 01:41 PM

Hi John,

 

We just got a notification that the below additional info has been added to this article

 

'The deprecation of TLS 1.0 and 1.1 scheduled for today has now been postponed - future deprecation date to be determined. We have had a few customers experiencing issues with the connector for HP ALM (Quality Center) v4.8.0 and are working to resolve these issues prior to making the cutover.'

 

I am not able to find this additional info in this page. Is this legitimate?

 

Thanks

Jag

06-18-2018 02:00 PM

How do you dismiss the TLS deprecation warning drop down when using Safari - its presence prevents usage of menu hidden underneath?

06-14-2018 01:47 PM

Hey AnilYerroju1349106, 3.2.1 should work just fine.

06-14-2018 01:40 PM

morky01 can you comment please?

06-14-2018 07:25 AM

Hi Team,

 

Please respond to my query. 

06-12-2018 09:09 AM

Hi Team,

 

I am using Connector (.NET Toolkit for CA Agile Central REST API) for pulling details from "Agile Central". 

From this tool kit, I have used only "Rally Rest API Libraries" module and customized my script as per business requirement.

 

I have not used other modules like "Rally Rest API UI Projects" and "Sample UI Application Using Common Controls".

 

Please let me know do I need to use the new version ".NET Toolkit for CA Agile Central REST API 3.3.1" as per "Deprecation Notice".

As I don't see any differences for "Rally Rest API Libraries" module in both Tool kits. 

 

06-07-2018 04:02 PM

Hmm.., that means we cannot test with Excel Plug-In 2.4.3.0 with the test URL,

Our Excel add-in and Agile Central - HP-ALM connector will break after 06/27.

In our environment, updating any client/server software has to go through multi-level approval and review and then the packages are done to deploy and test. This whole process takes 2-3 months many times. That means, our integrations will be broken after 06/27 and we cannot support our user until we will have packages ready. This short timeline is killing us (we are trying to get the requests expedited).

Sorry to say but CA will need to keep in mind in future to give enough bandwidth (1-2 months is just not enough for some clients like us) before phasing out anything. Our users will be disappointed to know this and we as well as we cannot support them.

06-07-2018 02:43 PM

Sanjay, that is the problem -- you need to be using version 2.4.4. Only version 2.4.4 and higher will work with TLS 1.2, which is what the sectest.rallydev.com URL is testing for. 

06-07-2018 02:39 PM

I have another post above for same, 

We tried to test Excel Plug-In 2.4.3.0 with the same URL but getting connection error, "Error connecting to CA Agile Central: The underlying connection was closed: An unexpected error occurred on a send" 

I do have .NET 4.5 and tried with non-SSO assuming it is non-SSO.and with SSO as well but no success

Do we need to open port for the new URL (may be blocked within our network)

06-07-2018 12:18 PM

SanjayKoshtiDiscover please check a few things:

  • What's the error you're getting?
  • Are you using version 2.4.4?
  • Have you installed .NET 4.5 or higher?
  • Are you trying to connect via SSO or via basic authentication? 

 

The .NET REST API toolkit might be affected, not sure if that's what you're using. Please take a look at TLS 1.0 and 1.1 Deprecation and Custom Integrations . 

06-07-2018 12:00 PM

We are trying to test excel add-in with URL https://sectest.rallydev.com but it is not going through. Do we need to whitelist this URL/IP?

We also call REST APIs from CA PPM Gel scripts, hope that is not impacted, please confirm.

06-06-2018 06:27 PM

Hi Sanjay, we can absolutely appreciate the upgrade process. Unfortunately, we have pushed the date back just about as far as we can, as the deadline set by PCI (Payment Card Industry) Security Standards Council is June 30th, 2018. We set it for Wednesday, June 27 to allow for a tiny bit of wiggle room if needed, and also to ensure we have resources available. 

06-05-2018 04:55 PM

Can this get extended beyond  June 27, 2018? Our add-in upgrade process has to go through multiple layers and packaging which typically takes 6-8 weeks, that means we will not be ready before end of July-2018.

06-04-2018 03:56 PM

Hi Nigel, 

 

To clarify, the endpoint https://rally1.rallydev.com allows TLS v1.0, 1.1 AND 1.2. The Add-in for Excel version 2.4.4 supports TLS 1.2 as well, so that is why it works when connecting to https://sectest.rallydev.com, which only allows TLS v1.2. 

 

We're not having any issues with https://eu2.rallydev.com/, but if you're not accessing Agile Central on the EU stack, you don't need to use that to test anyway. 

 

In regards to that "Error connecting to Agile Central: Invalid JSON Primitive" - that is the error received when using the Add-in for Excel v2.4.3 or lower. Are you certain that the older version isn't still installed? Also, did you ensure that .NET v4.5 was installed as well? This is required for Add-in for Excel v2.4.4 to work properly. 

06-01-2018 06:20 AM

Hi,

   We've tested https://sectest.rallydev.com and this seems to work fine and allowed logins. We also tested v2.4.4 of the Excel Add-in against SSO using  TargetResource=https://sectest.rallydev.com/slm/j_sso_security_check?noRedirect=true, and this worked, but interesting still works when targeting https://rally1.rallydev.com. Would've thought that shouldn't work. Does this imply the v2.4.4 is backward compatible with TLS 1.0/1.1? For completeness, tested v2.4.3 using SSO, again using https://sectest.rallydev.com in the TargetResource, and it would not connect, which is expected behavior.  As mentioned before https://eu2.rallydev.com is a dead URL.

 

  One issue we have, is that when testing v2.4.4 using Basic Authenticaiton, we get an error "Error connecting to Agile Central: Invalid JSON Primitive:." Has anybody else had this issue? While we can use SSO, and we encourage it within our organisation, this will inevitably lead to increase in support demand if this feature is not working one the TLS update goes live and users are on v2.4.4. 

Best Regards

    Nigel

05-31-2018 04:56 PM

Thanks for the updates, we  could successfully test https://sectest.rallydev.com and could login.

We tried to test Excel Plug-In 2.4.3.0 with the same URL but getting connection error, "Error connecting to CA Agile Central: The underlying connection was closed: An unexpected error occurred on a send" Is anyone else able to test it successfully?

Do we need to open port for the new URL (may be blocked within our network)

05-30-2018 03:10 AM

For me I can test it on the North America stack. The European stack does not work. I can't login...

05-03-2018 05:56 PM

Thank you for this information.  A customer has requested that any updated information be provided in this document so that is a single reference for all information regarding to the TLS Deprecation.  That would be very helpful for people looking for information.

Related Entries and Links

No Related Resource entered.